@import "bootstrap/scss/functions";
@import "bootstrap/scss/variables";
@import "bootstrap/scss/mixins";
@import "src/styles/pet-borders.scss";

.pet-compare-btn-container {
	position: fixed;
	right: 0;
	z-index: 1070;
	margin-left: 0;
	margin-right: 0;
	@include media-breakpoint-down(sm) {
    max-width: 14vw;
  };
  @include media-breakpoint-up(sm) {
    max-width: 10vw;
  };
	
	.pet-compare-btn {
		/* equivalent to border-secondary-fluo without !important to allow animation to change it */
		border-color: var(--bs-secondary-fluo);
		padding-left: 0.25rem;
		padding-right: 0.25rem;
    @extend .pet-left-rounded;
	}
}

.pet-rectangle {
	height: 1rem;
	width: 0.7rem;
	background-clip: content-box;
  background-color: var(--bs-secondary-light);
  transition: box-shadow 300ms, background-color 300ms;
}

.pet-animate-heartbeat-on {
  transition: none;
  animation-name: heartbeaton;
  animation-duration: 700ms;
  animation-iteration-count: 1;
//copy last keyframe instead of fill to avoid breaking transition on deselecet
//animation-fill-mode: forwards;
  box-shadow: 0 0 0.5rem 0.2rem var(--bs-tertiary-fluo);
  background-color: var(--bs-tertiary-fluo)
}

@keyframes heartbeaton {
  from {
    transform: scale(0.80); transform-origin: center center; animation-timing-function: ease-out;
    box-shadow: 0 0 0.5rem 0.2rem var(--bs-tertiary-fluo); background-color: var(--bs-tertiary-fluo)
  }
  40% {
    transform: scale(1.50); animation-timing-function: ease-out
  }
  80% {
    transform: scale(0.80); animation-timing-function: ease-in
  }
  to {
    transform: scale(1); animation-timing-function: ease-out;
    box-shadow: 0 0 0.5rem 0.2rem var(--bs-tertiary-fluo); background-color: var(--bs-tertiary-fluo)
  }
}
  
